Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Options
Go to last post Go to first unread
Offline chrisl  
#1 Posted : 15 December 2009 17:19:41(UTC)
chrisl

Rank: Newbie

Groups: Registered
Joined: 15/12/2009(UTC)
Posts: 4
Location: uk



My system is a Lenovo Dual Core Laptop with 2GB RAM. It runs a very new install of Ubuntu 9.10 plus all updates up to today. I have used synaptic to download and install mono-develop and most of the other mono stuff.

I have downloaded both the SMATH version 0.75 and 0.85 and extracted them to their own folders.

I can get both versions of SMATH to run on other Debian based machines including MEPIS8 and KUBUNTU 8.04. It also very nearly works on this machine.

BUT with BOTH VERSIONS on UBUNTU 9.10>>>
The program window does not display the menu items in the top toolbar. I am guessing there is a library missing. Can anybody help by telling me what I have missed out.

Many thanks

Chris
Offline Andrey Ivashov  
#2 Posted : 15 December 2009 18:23:38(UTC)
Andrey Ivashov


Rank: Administration

Groups: Developers, Registered, Knovel Developers, Administrators, Advanced Member
Joined: 11/07/2008(UTC)
Posts: 1,388
Man
Russian Federation

Was thanked: 1624 time(s) in 545 post(s)
Hello. I have many reports of this problem on Ubuntu 9.10. In fact, previous versions of the OS has no such issue. I don't know what causes it, but hope to solve it as soon as I prepare installed image for virtual machine.
Offline Edwin  
#3 Posted : 18 December 2009 05:18:28(UTC)
Edwin


Rank: Member

Groups: Registered
Joined: 25/10/2009(UTC)
Posts: 12
Location: The Netherlands

I run Ubuntu 9.10 as well and I do not have this problem. All I had to install manually to get it working was libmono-winforms2.0-cil. But without that it won't start at all.
Offline chrisl  
#4 Posted : 18 December 2009 17:48:53(UTC)
chrisl

Rank: Newbie

Groups: Registered
Joined: 15/12/2009(UTC)
Posts: 4
Location: uk

No, installing libmono-winforms2.0-cil is not the answer. Although it appears I have both winforms1.0 and 2.0 installed, removing version 1.0 did not fix the problem. The installed version of Ubuntu 9.10 actually came from the Linux Format (LXF) magazine and they had already added the mono packages. However there is no reason to believe that they have installed anything in a non-standard manner.

Here are teh list of installed mono-libraries etc.
libmono-accessibility1.0-cil
libmono-accessibility2.0-cil
libmono-addins-gui0.2-cil
libmono-addins0.2-cil
libmono-bytefx0.7.6.2-cil
libmono-c5-1.0-cil
libmono-cairo1.0-cil
libmono-cairo2.0-cil
libmono-cecil-private-cil
libmono-corlib1.0-cil
libmono-corlib2.0-cil
libmono-cscompmgd7.0-cil
libmono-cscompmgd8.0-cil
libmono-data-tds1.0-cil
libmono-data-tds2.0-cil
libmono-data1.0-cil
libmono-data2.0-cil
libmono-db2-1.0-cil
libmono-dev
libmono-firebirdsql1.7-cil
libmono-getoptions1.0-cil
libmono-getoptions2.0-cil
libmono-i18n-west1.0-cil
libmono-i18n-west2.0-cil
libmono-i18n1.0-cil
libmono-i18n2.0-cil
libmono-ldap1.0-cil
libmono-ldap2.0-cil
libmono-management2.0-cil
libmono-messaging-rabbitmq2.0-cil
libmono-messaging2.0-cil
libmono-microsoft-build2.0-cil
libmono-microsoft7.0-cil
libmono-microsoft8.0-cil
libmono-npgsql1.0-cil
libmono-npgsql2.0-cil
libmono-nunit2.4-cil
libmono-oracle1.0-cil
libmono-oracle2.0-cil
libmono-peapi1.0-cil
libmono-peapi2.0-cil
libmono-posix1.0-cil
libmono-posix2.0-cil
libmono-profiler
libmono-rabbitmq2.0-cil
libmono-relaxng1.0-cil
libmono-relaxng2.0-cil
libmono-security1.0-cil
libmono-security2.0-cil
libmono-sharpzip0.6-cil
libmono-sharpzip0.84-cil
libmono-sharpzip2.6-cil
libmono-sharpzip2.84-cil
libmono-simd2.0-cil
libmono-sqlite1.0-cil
libmono-sqlite2.0-cil
libmono-system-data1.0-cil
libmono-system-data2.0-cil
libmono-system-ldap1.0-cil
libmono-system-ldap2.0-cil
libmono-system-messaging1.0-cil
libmono-system-messaging2.0-cil
libmono-system-runtime1.0-cil
libmono-system-runtime2.0-cil
libmono-system-web-mvc1.0-cil
libmono-system-web1.0-cil
libmono-system-web2.0-cil
libmono-system1.0-cil
libmono-system2.0-cil
libmono-wcf3.0-cil
libmono-webbrowser0.5-cil
libmono-winforms1.0-cil
libmono-winforms2.0-cil
libmono0
libmono2.0-cil
mono-1.0-gac
mono-2.0-devel
mono-2.0-gac
mono-2.0-service
mono-csharp-shell
mono-devel
mono-gac
mono-gmcs
mono-jay
mono-mcs
mono-runtime
mono-utils
mono-xbuild
monodevelop
monodoc-base
monodoc-manual

If you can spot what is missing to get smath working it would be great.

Thanks

Chris


Offline chrisl  
#5 Posted : 18 December 2009 17:52:05(UTC)
chrisl

Rank: Newbie

Groups: Registered
Joined: 15/12/2009(UTC)
Posts: 4
Location: uk

Sorry, a slight mistake. The UBUNTU 9.10 actually installed did come from LXF magazine but I installed monodevelop and synaptic added just about everything else.
Offline Edwin  
#6 Posted : 21 December 2009 05:47:31(UTC)
Edwin


Rank: Member

Groups: Registered
Joined: 25/10/2009(UTC)
Posts: 12
Location: The Netherlands

I have much less mono related packages:

libgdiplus
libgluezilla
libmono0
libmono2.0-cil
libmono-accessibility2.0-cil
libmono-addins-gui0.2-cil
libmono-addins0.2-cil
libmono-cairo2.0-cil
libmono-corlib2.0-cil
libmono-data-tds2.0-cil
libmono-data2.0-cil
libmono-getoptions2.0-cil
libmono-i18n-west2.0-cil
libmono-i18n2.0-cil
libmono-posix2.0-cil
libmono-security2.0-cil
libmono-sharpzip2.84-cil
libmono-sqlite2.0-cil
libmono-system-data2.0-cil
libmono-system-web2.0-cil
libmono-system2.0-cil
libmono-webbrowser0.5-cil
libmono-winforms2.0-cil
mono-2.0-gac
mono-gac
mono-runtime


That's it. So either you're missing one of those, or you have something installed that it doesn't like.
Offline chrisl-2  
#7 Posted : 24 December 2009 16:12:28(UTC)
chrisl-2

Rank: Newbie

Groups: Registered
Joined: 24/12/2009(UTC)
Posts: 1
Location: UK

Hi again,
I have just had a chance to look into this menu business a little more. I tried experimenting using two Ubuntu Live CDs versions 9.04 and 9.10. It appears that SMATH 0.85 works correctly using both these live CDs on my standard desktop PC. Both these live CDs were standard Ubuntu distros albeit sourced from the LXF magazine (Issue Nos 120 and 127)

However my Lenovo laptop mentioned previously had also had all the updates applied. This resulted in some differences between the updated component list (shown previously) and those available on the live CD.
Therefore the most likely problems are that components have been deleted, renamed, moved to another library or dropped from an updated library. Unfortunately I won't have time to systematically try reinstalling each component to find out which are the culprits until well after Christmas.

However, if you spot the problem, please let me know.

The live CD default install for Ubuntu9.10 includes the following mono-specific components
These were obtained via the command $dpkg --get-selections > selections.txt
and then sorting anything containing 'mono' using $grep -i mono selections.txt > mono_stuff.txt

I hope this helps to track down the problem.

Chris (chrisl)

libmono-accessibility2.0-cil
libmono-addins-gui0.2-cil
libmono-addins0.2-cil
libmono-cairo2.0-cil
libmono-cecil-private-cil
libmono-corlib1.0-cil
libmono-corlib2.0-cil
libmono-data-tds1.0-cil
libmono-data-tds2.0-cil
libmono-dev
libmono-getoptions2.0-cil
libmono-i18n-west1.0-cil
libmono-i18n-west2.0-cil
libmono-management2.0-cil
libmono-peapi2.0-cil
libmono-posix2.0-cil
libmono-relaxng1.0-cil
libmono-security1.0-cil
libmono-security2.0-cil
libmono-sharpzip0.84-cil
libmono-sharpzip2.84-cil
libmono-sqlite2.0-cil
libmono-system-data1.0-cil
libmono-system-data2.0-cil
libmono-system-runtime1.0-cil
libmono-system-runtime2.0-cil
libmono-system-web1.0-cil
libmono-system-web2.0-cil
libmono-system1.0-cil
libmono-system2.0-cil
libmono-webbrowser0.5-cil
libmono-winforms2.0-cil
libmono0
libmono2.0-cil
mono-2.0-devel
mono-2.0-gac
mono-csharp-shell
mono-devel
mono-gac
mono-gmcs
mono-runtime
monodevelop
monodoc-base
monodoc-manual
Offline gfneal  
#8 Posted : 27 December 2009 03:41:25(UTC)
gfneal


Rank: Member

Groups: Registered
Joined: 27/12/2009(UTC)
Posts: 14
Man
Location: Tennessee, USA

Was thanked: 1 time(s) in 1 post(s)
I had this problem using Ubuntu 9.10. The solution was to load the update to xserver-xorg-video-intel from the debian site. Version 2.9.1 of this file allowed me to see the menus in SMath. At the time version 2.9.0 was supplied in the Ubuntu respository. I am no longer using Ubuntu so I am not sure if the 2.9.1 version is now in the Ubuntu repository. I have never had this problem using Windows XP on three different PCs.

Edited by user 27 December 2009 03:54:52(UTC)  | Reason: Not specified

Offline Andrey Ivashov  
#9 Posted : 07 January 2010 00:22:28(UTC)
Andrey Ivashov


Rank: Administration

Groups: Developers, Registered, Knovel Developers, Administrators, Advanced Member
Joined: 11/07/2008(UTC)
Posts: 1,388
Man
Russian Federation

Was thanked: 1624 time(s) in 545 post(s)
As I understood this can help to show Main Menu on Ubuntu 9.10: http://www.nanowrimo.org/eng/node/3373197 (thanks to our Russian forum member dima81).
Offline chrisl  
#10 Posted : 16 February 2010 14:36:36(UTC)
chrisl

Rank: Newbie

Groups: Registered
Joined: 15/12/2009(UTC)
Posts: 4
Location: uk

As of 16-2-2010 Ubuntu 9.10 seems to have updated something and now the menu system works correctly. I never had a chance to look into the original problem, but its OK now!

Chris
Offline gfneal  
#11 Posted : 22 February 2010 19:20:16(UTC)
gfneal


Rank: Member

Groups: Registered
Joined: 27/12/2009(UTC)
Posts: 14
Man
Location: Tennessee, USA

Was thanked: 1 time(s) in 1 post(s)
As of last night I have installed Ubuntu 9.10 as a dual boot with Windows. Two previous problems I had with SMath in Ubuntu - unable to display menu text, and unable to see Greek characters (program left a space there) - were still there. Menu text problem was fixed when the automatic updates were installed and I ran item 2 from http://www.detector-pro....r-installing-ubuntu.html and the Greek font problem was fixed. (sudo apt-get install ttf-mscorefonts-installer).
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.